/* Marek Handl
 * CS321 - Computer Graphics
 * Lab 5
 * October 2006
 */

//**************************************************
//
// cs321.cpp - Opens up an empty CS321 GUI shell.
//
// Written by: H. Welch August 2000
//
//
//**************************************************

#include <shell.h>
#include <qapplication.h>
#include "Lab3DerivedShell.h"

int main(int argc, char* argv[])
{

	// Activate Qt, pass on command line args for filtering
	// by Qt. Unknown arguments will be ignored
	QApplication myapp(argc, argv);
	
	// Dynamically create a shell
	//Shell* myshell = new Shell(NULL, "CS321 GUI Shell");
	Lab3DerivedShell* myshell = new Lab3DerivedShell(NULL, "CS321 GUI Shell");
	
	// Make the shell the primary widget
	myapp.setMainWidget(myshell);
	
	// Display the shell
	myshell->show();
	
	// Pass control to Qt
	// This returns ONLY when the shell is exited
	return myapp.exec();
}


// TIME LOG:
//	- lab ... 3 hours

// TO DO: *****************************
// one point polygons ???
// disable Bresenham
// error checking in cmd and read file